Page MenuHomePhabricator

PHP Error in JsonConfig extension "Undefined property: stdClass::$zoom in includes/JCMapDataContent.php"
Closed, ResolvedPublicPRODUCTION ERROR

Description

Notice: Undefined property: stdClass::$zoom in /srv/mediawiki/php-1.32.0-wmf.18/extensions/JsonConfig/includes/JCMapDataContent.php on line 12

Apparently from https://en.wikipedia.org/w/api.php?format=json&formatversion=2&action=jsondata&title=Harris+Park+%26+Parramatta+railway+station+markers.map

includes/JCMapDataContent.php is related to Maps content / Maps (Kartographer)

#0 /srv/mediawiki/php-1.32.0-wmf.18/extensions/JsonConfig/includes/JCMapDataContent.php(127): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.32.0-wmf.18/extensions/JsonConfig/includes/JCDataContent.php(57): JsonConfig\JCMapDataContent->localizeData(stdClass, LanguageEn)
#2 /srv/mediawiki/php-1.32.0-wmf.18/extensions/JsonConfig/includes/JCDataApi.php(32): JsonConfig\JCDataContent->getLocalizedData(LanguageEn)
#3 /srv/mediawiki/php-1.32.0-wmf.18/includes/api/ApiMain.php(1577): JsonConfig\JCDataApi->execute()
#4 /srv/mediawiki/php-1.32.0-wmf.18/includes/api/ApiMain.php(531): ApiMain->executeAction()
#5 /srv/mediawiki/php-1.32.0-wmf.18/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#6 /srv/mediawiki/php-1.32.0-wmf.18/api.php(83): ApiMain->execute()
#7 /srv/mediawiki/w/api.php(3): include(string)
#8 {main}

Event Timeline

hashar created this task.Aug 29 2018, 11:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2018, 11:18 AM
Krinkle renamed this task from JsonConfig PHP Notice: Undefined property: stdClass::$zoom in includes/JCMapDataContent.php to PHP Error in JsonConfig extension "Undefined property: stdClass::$zoom in includes/JCMapDataContent.php".Aug 29 2018, 9:05 PM
Krinkle added a project: Discovery.
Jhernandez added subscribers: MSantos, Jhernandez.

@MSantos will look at this and the frequency of the errors.

MSantos claimed this task.Sep 11 2018, 3:30 PM

Change 460084 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/JsonConfig@master] Making map data content fields optional

https://gerrit.wikimedia.org/r/460084

Also, the problems happened because the JSON data doesn't have the zoom property. Which should be optional according to the documentation. I am submitting a fix since it was really quick to solve.

MSantos triaged this task as Low priority.Sep 25 2018, 7:29 PM
MSantos moved this task from Needs triage to Backlog on the Product-Infrastructure-Team-Backlog board.

Change 463127 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/JsonConfig@master] Unit testing for JCMapDataContent

https://gerrit.wikimedia.org/r/463127

Change 460084 merged by jenkins-bot:
[mediawiki/extensions/JsonConfig@master] Making map data content fields optional

https://gerrit.wikimedia.org/r/460084

MSantos closed this task as Resolved.Oct 9 2018, 4:59 PM

The error is not happening since deployment, see: https://logstash.wikimedia.org/app/kibana#/dashboard/mediawiki-errors?_g=h@8525ade&_a=h@b6670d5

I am closing it as resolved but feel free to reopen if needed.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM

Change 463127 had a related patch set uploaded (by TheDJ; owner: MSantos):
[mediawiki/extensions/JsonConfig@master] Unit testing for JCMapDataContent

https://gerrit.wikimedia.org/r/463127